package com.zm.order.tool.server.request.history;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Author Gwl·Q
 * @ClassName OrderDataReviseRequest
 * @Date 2020/10/22 10:03 AM
 */
public class HistoryOrderRequest implements Serializable {

    private static final long serialVersionUID = 6493477376691145058L;

    @ApiModelProperty("订单号")
    private String orderNo;
    private List<String> orderNoList;

    @ApiModelProperty("用户ID")
    private Long userId;

    private Long sellerId;
    private Integer syncFlag;

    public Integer getSyncFlag() {
        return syncFlag;
    }

    public void setSyncFlag(Integer syncFlag) {
        this.syncFlag = syncFlag;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
